<div class="col padding0px">
  <div class="product-groups">
      <div *ngIf="productList.length > 0">
          <div *ngFor="let list of productList" class="mobile-border">
            <div class="row">
              <div class="col order-1 today-deals-wrap " *ngIf="list.title && list.product.length > 0">
                <span class="pt-1">{{list.title | translate:lang }}</span>
                <div class="count-wrap-home" *ngIf="list.title === 'TODAY_DEALS' && timer">
                  <div class="count-box">
                    <div class="clock-icon"><i class="fa fa-clock-o" aria-hidden="true"></i></div>
                    <div class="count-down-timer">
                      {{timer}}
                    </div>
                  </div>
                </div>
                <div class="col order-12 padding0px"
                *ngIf="(list.title === 'TODAY_DEALS' && !(list.product.length < 4)) || (list.title !== 'TODAY_DEALS' && !(list.product.length < 4)) ">
                 <div class="show-all-txt"  [title]="'buttonShowAll' | translate: lang" (click)="showRespectivePage(list.title)">{{ 'buttonShowAll' | translate:lang }}</div>
               </div>
              </div>
            </div>
            <div class="products-mobile" *ngIf="list.title === 'TODAY_DEALS'">
              <div class="row">
                <div class="col-md-3" *ngFor="let product of list.product">
                  <app-deals-tile [dealsDetail]="product" [from]="from" [compareCount]="compareCount" (productAction)="getProductActionDetails($event)"></app-deals-tile>
                </div>
              </div>
            </div>
            <div class="products-mobile" *ngIf="list.title !== 'TODAY_DEALS'">
              <div class="row">
                <div class="col-md-3" *ngFor="let product of list.product">
                  <app-product-tile [productDetail]="product" [compareCount]="compareCount" [from]="productFrom" (productAction)="getProductActionDetails($event)"></app-product-tile>
                </div>
              </div>
            </div>
          </div>
      </div>
    <div *ngIf="brandList && brandList.length > 0">
      <div class="row brand-deals-wrap mobile-border">
        <div class="col order-1 padding0px">
            <span class="featured-brand-txt">{{brandList.title | translate:lang}}</span>
        </div>
        <div class="col order-12 padding0px" *ngIf="!(brandList.length < homeSettings.BRAND_END_COUNT)">
          <div class="show-all-txt" [title]="'buttonShowAll' | translate: lang" (click)="showAllBrands()">{{ 'buttonShowAll' | translate:lang }}</div>
        </div>
      </div>
      <div class="row products-mobile mobile-border mtb-mobile">
        <div class="col-md-3" *ngFor="let brand of brandList.product">
          <app-brand-tile [brandDetail]="brand" [from]="productFrom"></app-brand-tile>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col mt-4 bottom-ad-banner " *ngIf="bottomAd.length > 0">
        <img (click)="redirectToUrl(bottomAd[0])" class="img-fluid" [src]="bottomAd[0].adImage" [alt]="bottomAd[0].adTitle" [title]="bottomAd[0].adTitle">
      </div>
    </div>
  </div>
</div>
